<?php
/**
 * VFM - veno file manager: include/downloader.php
 * Show download button for shared links
 *
 * PHP version >= 5.3
 *
 * @category  PHP
 * @package   VenoFileManager
 * @author    Nicola Franchini <support@veno.it>
 * @copyright 2013-2015 Nicola Franchini
 * @license   Standard License http://codecanyon.net/licenses/standard
 * @link      http://filemanager.veno.it/
 */

/**
* Downloader
*/
$expired = false;
global $getfilelist;

if ($getfilelist && file_exists('vfm-admin/shorten/'.$getfilelist.'.json')) {
    $datarray = json_decode(file_get_contents('vfm-admin/shorten/'.$getfilelist.'.json'), true);

    $hash = $datarray['hash'];
    $time = $datarray['time'];
    
    if ($downloader->checkTime($time) == true) {

        $zip_url = "vfm-admin/vfm-downloader.php?dl=".$getfilelist;

        print "<div class=\"intero centertext bigzip\">
        <a class=\"btn btn-primary btn-lg centertext\" href=\"".$zip_url."\"><i class=\"fa fa-cloud-download fa-5x\"></i><br>"
        .".zip</a></div>";
        
        print "<div class=\"intero\"><ul class=\"multilink\">";

        $pieces = explode(",", $datarray['attachments']);

        $totalsize = 0;
        $salt = $setUp->getConfig('salt');

        foreach ($pieces as $pezzo) {
            $myfile = urldecode(base64_decode($pezzo));
            $filepathinfo = Utils::mbPathinfo($myfile);
            $filename = $filepathinfo['basename'];
            $extension = strtolower($filepathinfo['extension']);
            $supah = md5($hash.$salt.$pezzo);
            $filesize = File::getFileSize($myfile);
            $totalsize += $filesize;
            if (array_key_exists($extension, $_IMAGES)) {
                $thisicon = $_IMAGES[$extension];
            } else {
                $thisicon = "fa-file-o";
            }
            print "<li><a class=\"btn btn-primary\" href=\"vfm-admin/vfm-downloader.php?q=".$pezzo."&h=".$hash."&sh=".$supah."\">"
            ."<span class=\"pull-left small\"><i class=\"fa ".$thisicon." fa-2x\"></i> ".$filename."</span>"
            ."<span class=\"pull-right small\">".$setUp->formatsize($filesize)." <i class=\"fa fa-download fa-2x\"></i></span></a></li>";
        }
        print "</ul></div>";
        
        // check number of files and total size 
        // if under the limits, show the zip button
        $max_zip_filesize = $setUp->getConfig('max_zip_filesize');
        $max_zip_files = $setUp->getConfig('max_zip_files');
        $totalsize = $totalsize/1024/1024;
        $totalfiles = count($pieces);

        if ($totalsize <= $max_zip_filesize && $totalfiles <= $max_zip_files) { ?>
            <script type="text/javascript">
            $(document).ready(function(){
                $('.bigzip').fadeIn();
            });
            </script>
        <?php
        }

    } else {
        unlink('vfm-admin/shorten/'.$getfilelist.'.json');
        $expired = true;
    }
} else {
    $expired = true;
}

if ($expired === true) {
    print "<div class=\"intero centertext\">";
    print "<a class=\"btn btn-danger btn-lg centertext\" href=\"./\">"
    .$encodeExplorer->getString("link_expired")."</a>";
    print "</div>";
}
?>