<?php
/**
 * VFM - veno file manager file sender
 *
 * PHP version >= 5.3
 *
 * @category  PHP
 * @package   VenoFileManager
 * @author    Nicola Franchini <support@veno.it>
 * @copyright 2013-2015 Nicola Franchini
 * @license   Standard License http://codecanyon.net/licenses/standard
 * @link      http://filemanager.veno.it/
 */
require 'mail/PHPMailerAutoload.php';
require 'config.php';
require 'class.php';
$lang = filter_input(INPUT_POST, 'thislang', FILTER_SANITIZE_STRING);
require 'translations/'.$lang.'.php';
$setUp = new SetUp();
$utils = new Utils();
$encodeExplorer = new EncodeExplorer();
$from = filter_input(INPUT_POST, "mitt", FILTER_VALIDATE_EMAIL);
$dest = filter_input(INPUT_POST, "dest", FILTER_VALIDATE_EMAIL);
$link = filter_input(INPUT_POST, "sharelink", FILTER_SANITIZE_STRING);
$attachments = explode(",", filter_input(INPUT_POST, "attach", FILTER_SANITIZE_STRING));
$text_message = filter_input(INPUT_POST, "message", FILTER_SANITIZE_STRING);

$cc1 = filter_input(INPUT_POST, "send_cc_1", FILTER_VALIDATE_EMAIL);
$cc2 = filter_input(INPUT_POST, "send_cc_2", FILTER_VALIDATE_EMAIL);
$cc3 = filter_input(INPUT_POST, "send_cc_3", FILTER_VALIDATE_EMAIL);

if ($from && $dest && $link) {

    $setfrom = $setUp->getConfig('email_from');
    $mail = new PHPMailer();
    $mail->CharSet = 'UTF-8';
    
    if ($setUp->getConfig('smtp_enable') == true) {
        
        $timeconfig = $setUp->getConfig('default_timezone');
        $timezone = (strlen($timeconfig) > 0) ? $timeconfig : "UTC";
        date_default_timezone_set($timezone);

        $mail->isSMTP();
        $mail->SMTPDebug = 0;

        $smtp_auth = $setUp->getConfig('smtp_auth');

        $mail->Host = $setUp->getConfig('smtp_server');
        $mail->Port = (int)$setUp->getConfig('port');

        if ($setUp->getConfig('secure_conn') !== "none") {
            $mail->SMTPSecure = $setUp->getConfig('secure_conn');
        }
        
        $mail->SMTPAuth = $smtp_auth;

        if ($smtp_auth == true) {
            $mail->Username = $setUp->getConfig('email_login');
            $mail->Password = $setUp->getConfig('email_pass');
        }
    }
    $mail->setFrom($setfrom, $setUp->getConfig('appname'));
    $mail->addReplyTo($from, '<'.$from.'>');
    $mail->addAddress($dest, '<'.$dest.'>');

    if ($cc1) {
        $mail->AddBCC($cc1, '<'.$cc1.'>');
    }
    if ($cc2) {
        $mail->AddBCC($cc2, '<'.$cc2.'>');
    }
    if ($cc3) {
        $mail->AddBCC($cc3, '<'.$cc3.'>');
    }

    $mail->Subject = $from." ".$encodeExplorer->getString('sent_some_files');

    $myfiles = "<ul>";
    foreach ($attachments as $value) {

        $filepathinfo = $utils->mbPathinfo(urldecode(base64_decode($value)));
        $filename = $filepathinfo['basename'];

        $myfiles .= "<li>".$filename."</li>";
    }
    $myfiles .= "</ul>";

    $mail->AddEmbeddedImage('mail/mail-logo.png', 'logoimg', 'mail/mail-logo.png');

    // Retrieve the email template required
    $message = file_get_contents('mail/template-send-files.html');

    // Replace the % with the actual information
    $message = str_replace('%from%', $from, $message);
    $message = str_replace('%translate_sent_some_files%', $encodeExplorer->getString('sent_some_files'), $message);

    $message = str_replace('%myfiles%', $myfiles, $message);
    $message = str_replace('%link%', $link, $message);

    $message = str_replace('%translate_download%', $encodeExplorer->getString('download'), $message);
    $message = str_replace('%text_message%', $text_message, $message);

    $mail->msgHTML($message);

    $mail->AltBody = $from." ".$encodeExplorer->getString('sent_some_files').":\n " .$link;

    if (!$mail->send()) {
        print "Mailer Error: " . $mail->ErrorInfo;
    } else {
        print $encodeExplorer->getString('message_sent').": " .$dest;
    }
    /**
    *
    * send notification e-mail
    * to additional addresses
    *
    */
    /*
    $mail2 = clone $mail;
    $mail2->ClearAllRecipients();
    $mail2->Subject = $from." sent some files to: ".$dest;
    $mail2->setFrom($setfrom, $setUp->getConfig('appname'));
    $mail2->MsgHTML("<img src=\"cid:logoimg\" /><br><br>".$from." sent some files to: ".$dest.": ".$myfiles);
    $mail2->AddAddress('who-to@example.com', 'admin');
    // if you want to add some more recipients
    // $mail2->AddBCC('who-to-cc@example.com', 'John Doe');
    // $mail2->AddBCC('who-to-cc2@example.com', 'jack Doe');
    $mail2->send();
    */
} else {
    print $encodeExplorer->getString('fill_all_fields');
}
