<?php
/**
 * VFM - veno file manager: shorten.php
 *
 * PHP version >= 5.3
 *
 * @category  PHP
 * @package   VenoFileManager
 * @author    Nicola Franchini <support@veno.it>
 * @copyright 2013-2015 Nicola Franchini
 * @license   Standard License http://codecanyon.net/licenses/standard
 * @link      http://filemanager.veno.it/
 */
require_once 'config.php';

require_once 'class.php';
$utils = new Utils;
$downloader = new Downloader();
$setUp = new SetUp();

$attachments = filter_input(INPUT_POST, "atts", FILTER_SANITIZE_STRING);
$time = filter_input(INPUT_POST, "time", FILTER_SANITIZE_STRING);
$hash = filter_input(INPUT_POST, "hash", FILTER_SANITIZE_STRING);

$saveData = array();

$saveData['time'] = $time;
$saveData['hash'] = $hash;
$saveData['attachments'] = $attachments;

$attachash = md5($time.$attachments);

// create the temporary directory
if (!is_dir('shorten')) {
    mkdir('shorten', 0755, true);
}
// save dowloadable link if it does not already exists
if (!file_exists('shorten/'.$attachash.'.json')) {
    $fp = fopen('shorten/'.$attachash.'.json', 'w');
    fwrite($fp, json_encode($saveData));
    fclose($fp);
}


// remove old files
$shortens = glob("shorten/*.json");

foreach ($shortens as $shorten) {
    if (is_file($shorten)) {
        $filetime = filemtime($shorten);

        if ($downloader->checkTime($filetime) == false) {
            unlink($shorten);
        }
    }
}

echo $attachash;